Bug 219217 - update accepted OSes in install script
Summary: update accepted OSes in install script
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
(Show other bugs)
Version: 500
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
: 218519 (view as bug list)
Depends On:
Blocks: rhn-sat-on-rhel5
TreeView+ depends on / blocked
 
Reported: 2006-12-11 22:38 UTC by Ken Ganong
Modified: 2009-09-10 18:20 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 18:20:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-12-11 22:38:07 UTC
Our install script cares about the OS version its running on.

Currently, our install script runs this code:
rpm -q --queryformat '%{version} %{release} %{epoch}' --whatprovides redhat-release

Then it grabs the version and compares it to 3AS or 4AS.
It exits without installing if the version isn't either of those.

We need it to not allow 3AS and to allow 5Server

Comment 1 Ken Ganong 2006-12-11 22:40:58 UTC
So, there is another problem.
allowing 4AS and 5Server is the 'correct' thing to do when we release.

However, our current RHEL5 isos show the version as 4.92Server.
Therefore we need to accept that for creating testing isos, but remove it when
we go live.

Comment 2 Ken Ganong 2006-12-12 15:33:40 UTC
*** Bug 218519 has been marked as a duplicate of this bug. ***

Comment 3 Ken Ganong 2006-12-15 20:46:20 UTC
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.

Comment 4 Red Hat Bugzilla 2007-04-12 02:04:52 UTC
User bnackash@redhat.com's account has been closed

Comment 5 Corey Welton 2009-04-06 16:24:43 UTC
This has long since been QA Verified :).

Comment 6 Brandon Perkins 2009-09-10 18:20:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.